## grass 7.4.0

=== display/Makefile ===

MODULE_TOPDIR = ..

PGM = displaydrivers

SUBDIRS = \
	d.barscale \
	d.colorlist \
	d.colortable \
	d.erase \
	d.font \
	d.fontlist \
	d.geodesic \
	d.graph \
	d.grid \
	d.his \
	d.histogram \
	d.info \
	d.labels \
	d.legend \
	d.legend.vect \
	d.linegraph \
	d.mon \
	d.northarrow \
	d.path \
	d.profile \
	d.rast \
	d.rast.arrow \
	d.rast.num \
	d.rgb \
	d.rhumbline \
	d.text \
	d.title \
	d.vect \
	d.vect.chart \
	d.vect.thematic \
	d.where

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: htmldir

htmldir: parsubdirs

=== include/Makefile ===
MODULE_TOPDIR = ..

include $(MODULE_TOPDIR)/include/Make/Vars.make
include $(MODULE_TOPDIR)/include/Make/Rules.make

SRCH := $(wildcard ../include/*.h ../include/defs/*.h ../include/vect/*.h ../include/iostream/*.h)
DSTH := $(patsubst ../include/%.h,$(ARCH_INCDIR)/%.h,$(SRCH))
DSTH_EXTRA = $(ARCH_INCDIR)/copying.h $(ARCH_INCDIR)/citing.h $(ARCH_INCDIR)/confparms.h

SRCMAKE := $(wildcard ../include/Make/*.make)
DSTMAKE := $(patsubst ../include/Make/%.make,$(ARCH_DISTDIR)/include/Make/%.make,$(SRCMAKE))

default: $(DSTH) $(DSTH_EXTRA) $(DSTMAKE)

# cancel rule from Rules.make
$(ARCH_INCDIR)/%.h: %.h

$(ARCH_INCDIR)/defs/%.h: defs/%.h | $(ARCH_INCDIR)/defs
	$(INSTALL_DATA) $< $@

$(ARCH_INCDIR)/vect/%.h: vect/%.h | $(ARCH_INCDIR)/vect
	$(INSTALL_DATA) $< $@

$(ARCH_INCDIR)/iostream/%.h: iostream/%.h | $(ARCH_INCDIR)/iostream
	$(INSTALL_DATA) $< $@

$(ARCH_INCDIR)/%.h: %.h | $(ARCH_INCDIR)
	$(INSTALL_DATA) $< $@

$(ARCH_INCDIR)/defs: | $(ARCH_INCDIR)
	$(MKDIR) $@

$(ARCH_INCDIR)/vect: | $(ARCH_INCDIR)
	$(MKDIR) $@

$(ARCH_INCDIR)/iostream: | $(ARCH_INCDIR)
	$(MKDIR) $@

$(ARCH_DISTDIR)/include/Make/%.make: Make/%.make | $(ARCH_DISTDIR)/include/Make
	$(INSTALL_DATA) $< $@

$(ARCH_DISTDIR)/include/Make:
	$(MKDIR) $@

$(ARCH_INCDIR)/copying.h: $(MODULE_TOPDIR)/COPYING | $(ARCH_INCDIR)
	sed -e 's/^\(.*\)$$/"\1\\n"/' $< > $@

$(ARCH_INCDIR)/citing.h: $(MODULE_TOPDIR)/CITING | $(ARCH_INCDIR)
	sed -e 's/^\(.*\)$$/"\1\\n"/' $< > $@

$(ARCH_INCDIR)/confparms.h: $(MODULE_TOPDIR)/config.status | $(ARCH_INCDIR)
	sed -n '7s/^#\(.*\)$$/"\1"/p' $< > $@

=== locale/Makefile ===
# written by Markus Neteler
# tcl stuff by Cedric Shock
# wxpython by Martin Landa

MODULE_TOPDIR = ..
include $(MODULE_TOPDIR)/include/Make/Other.make

default:
	@if [ "$(HAVE_NLS)" != "" ] ; then \
		echo "Creating translations (= 'make mo')" >&2 ; \
		$(MAKE) mo ; \
		echo "Creating translation statistics (= 'make statistics')" >&2 ; \
		$(MAKE) statistics ; \
	else \
		echo "NLS disabled." ; \
	fi

all:
	@echo 'Usage:'
	@echo '   make pot        create grass.pot (containing original messages)'
	@echo '   make update-po  merge new messages into existing *.po files'
	@echo '   make mo         create the *.mo files'
	@echo '   make verify     verify the *.po files'

# Directory for installing tcl .msg files:
PO_DIR = po

#distinguish between library messages and modules:
LIBDOMAIN = grasslibs
MODDOMAIN = grassmods
WXPYDOMAIN = grasswxpy
DOMAINS = $(LIBDOMAIN) $(MODDOMAIN) $(WXPYDOMAIN)

LIB_POTFILES = find ../lib \( -name "*.c" -o -name "*.py" \) | xargs grep -l "_(\"\|n_(\""
MOD_POTFILES = find ../ -name '*.c' | grep -v '../lib' | xargs grep -l "_(\"\|n_(\""
WXPY_POTFILES = find ../gui/wxpython -name '*.py' | xargs grep -l "_(\"\|n_(\""
#For Python script module messages
MOD_PYFILES = find ../scripts -name '*.py' | xargs grep -l "_(\"\|n_(\""

define po_stats
GISBASE="$(RUN_GISBASE)" $(PYTHON) ./grass_po_stats.py
endef

#The xgettext utility is used to automate the creation of
#portable message files (.po)
pot:
	if [ ! -f ../gui/wxpython/menustrings.py ] ; then \
		echo "Build GRASS before running 'make pot'" >&2 ; \
		exit 1 ; \
	fi
	@rm -f ./templates/*.pot
	@echo "Generating $(LIBDOMAIN)..."
	xgettext --keyword=_ --keyword=n_:1,2 -cGTC -o ./templates/$(LIBDOMAIN).pot `$(LIB_POTFILES)`
	@echo "Generating $(MODDOMAIN)..."
	xgettext --keyword=_ --keyword=n_:1,2 -cGTC -o ./templates/$(MODDOMAIN).pot `$(MOD_POTFILES)`
	xgettext -j --keyword=_ --keyword=n_:1,2 -cGTC -o ./templates/$(MODDOMAIN).pot `$(MOD_PYFILES)` 
	@echo "Generating $(WXPYDOMAIN)..."
	xgettext --keyword=_ --keyword=n_:1,2 -cGTC -o ./templates/$(WXPYDOMAIN).pot `$(WXPY_POTFILES)` 

#merge already existing translations with new messages in POT template file and create new po files:
update-po:
	@for i in $(DOMAINS) ; do \
		if [ "`ls ./po/$$i\_*.po 2>/dev/null`" = "" ] ; then \
		 echo "No $$i.po file found in ./po/ directory. Will create new po files from template." ; \
		 cp ./templates/$$i.pot ./po/$$i.po ; \
		 echo "Created ./po/$$i.po - Rename to ./po/$$i\_LANG.po (with LANG: de, ru, ...)" ; \
		 echo "Then you can translate the messages in this file (e.g with kbabel)" ; \
		fi ;\
	done
	@cd ./po/ ; for po in `ls *_*.po 2>/dev/null` ; do \
		suffix=`echo $$po | cut -d'_' -f2-`; \
		lingua=`basename $$suffix .po`; \
		prefix=`echo $$po | cut -d'_' -f1`; \
		if msgmerge -o $$prefix\_$$suffix.new $$prefix\_$$suffix ../templates/$$prefix.pot; then\
		  mv $$prefix\_$$suffix.new $$prefix\_$$suffix; \
		  echo "Merged new messages into $$prefix\_$$suffix" ; \
		else \
		    echo "Merging failed"; \
		fi \
		done
	@echo "Be careful with SVN commits as .po file updates must be synchronized with the individual translators."

verify:
	@cd ./po/ ; for po in `ls *_*.po 2>/dev/null` ; do \
		echo "----- $$po:" ; \
		msgfmt -c $$po; \
	done
	@rm -f po/messages.mo

statistics:
	$(call po_stats)

define dom_rule
$(1)_FILES := $$(patsubst po/grass$(1)_%.po,$$(MO_DIR)/%/LC_MESSAGES/grass$(1).mo,$$(wildcard po/grass$(1)_*.po))
$$(MO_DIR)/%/LC_MESSAGES/grass$(1).mo: po/grass$(1)_%.po
	@ [ -d $$(MO_DIR)/$$*/LC_MESSAGES ] || $(MKDIR) $$(MO_DIR)/$$*/LC_MESSAGES
	msgfmt --statistics -o $$@ $$<
endef
$(foreach domain,libs mods wxpy,$(eval $(call dom_rule,$(domain))))

$(MSG_DIR)/%.msg: po/grasstcl_%.po
	@ [ -d $(MSG_DIR) ] || $(MKDIR) $(MSG_DIR)
	msgfmt --statistics --tcl -l $* -d $(MSG_DIR)/ $<

MSGFILES := $(patsubst po/grasstcl_%.po,$(MSG_DIR)/%.msg,$(wildcard po/grasstcl_*.po))

#create binary messages files
mo: $(libs_FILES) $(mods_FILES) $(wxpy_FILES) $(MSGFILES)

.PHONY: mo

=== man/Makefile ===
MODULE_TOPDIR = ..

include $(MODULE_TOPDIR)/include/Make/Other.make

MANPAGES := $(patsubst $(HTMLDIR)/%.html,$(MANDIR)/%.$(MANSECT),$(wildcard $(HTMLDIR)/*.html))

DSTFILES := \
	$(HTMLDIR)/grassdocs.css \
	$(HTMLDIR)/grass_logo.png \
	$(HTMLDIR)/grass_icon.png \
	$(HTMLDIR)/jquery.fixedheadertable.min.js \
	$(HTMLDIR)/parser_standard_options.css \
	$(HTMLDIR)/parser_standard_options.js

categories = \
	d:display \
	db:database \
	g:general \
	i:imagery \
	m:miscellaneous \
	ps:postscript \
	r:raster \
	r3:raster3d \
	t:temporal \
	v:vector

IDXCATS := $(foreach cat,$(categories),$(lastword $(subst :, ,$(cat))))

IDXSRC = full_index index topics keywords graphical_index manual_gallery class_graphical parser_standard_options $(IDXCATS)

INDICES := $(patsubst %,$(HTMLDIR)/%.html,$(IDXSRC))

ALL_HTML := $(wildcard $(HTMLDIR)/*.*.html)

ifneq (@(type sphinx-build2 > /dev/null),)
SPHINXBUILD   = sphinx-build2
endif
ifneq (@(type sphinx-build > /dev/null),)
SPHINXBUILD   = sphinx-build
endif

default: $(DSTFILES)
	@echo "Generating HTML manual pages index (help system)..."
	$(MAKE) $(INDICES)
	$(call build,check)
	$(MAKE) manpages

# This must be a separate target so that evaluation of $(MANPAGES)
# is delayed until the indices have been generated
manpages:
	$(MAKE) $(MANPAGES)

.PHONY: manpages

define build
GISBASE="$(RUN_GISBASE)" ARCH="$(ARCH)" ARCH_DISTDIR="$(ARCH_DISTDIR)" \
	VERSION_NUMBER=$(GRASS_VERSION_NUMBER) VERSION_DATE=$(GRASS_VERSION_DATE) \
	$(PYTHON) ./build_$(1).py $(2)
endef

define build_topics
GISBASE="$(RUN_GISBASE)" ARCH="$(ARCH)" ARCH_DISTDIR="$(ARCH_DISTDIR)" \
	VERSION_NUMBER=$(GRASS_VERSION_NUMBER) VERSION_DATE=$(GRASS_VERSION_DATE) \
	$(PYTHON) ./build_topics.py $(HTMLDIR)
endef

define build_keywords
GISBASE="$(RUN_GISBASE)" ARCH="$(ARCH)" ARCH_DISTDIR="$(ARCH_DISTDIR)" \
	VERSION_NUMBER=$(GRASS_VERSION_NUMBER) VERSION_DATE=$(GRASS_VERSION_DATE) \
	$(PYTHON) ./build_keywords.py $(HTMLDIR)
endef

define build_graphical_index
GISBASE="$(RUN_GISBASE)" ARCH="$(ARCH)" ARCH_DISTDIR="$(ARCH_DISTDIR)" \
	VERSION_NUMBER=$(GRASS_VERSION_NUMBER) VERSION_DATE=$(GRASS_VERSION_DATE) \
	$(PYTHON) ./build_graphical_index.py $(HTMLDIR)
endef

define build_manual_gallery
GISBASE="$(RUN_GISBASE)" ARCH="$(ARCH)" ARCH_DISTDIR="$(ARCH_DISTDIR)" \
	VERSION_NUMBER=$(GRASS_VERSION_NUMBER) VERSION_DATE=$(GRASS_VERSION_DATE) \
	$(PYTHON) ./build_manual_gallery.py $(HTMLDIR)
endef

define build_pso
GISBASE="$(RUN_GISBASE)" ARCH="$(ARCH)" ARCH_DISTDIR="$(ARCH_DISTDIR)" \
	VERSION_NUMBER=$(GRASS_VERSION_NUMBER) VERSION_DATE=$(GRASS_VERSION_DATE) \
	$(PYTHON) ./parser_standard_options.py -t "$(GRASS_HOME)/lib/gis/parser_standard_options.c" \
	-f "grass" -o "$(HTMLDIR)/parser_standard_options.html" -p 'id="opts_table" class="scroolTable"'
endef

$(HTMLDIR)/topics.html: $(ALL_HTML)

define build_class_graphical
GISBASE="$(RUN_GISBASE)" ARCH="$(ARCH)" ARCH_DISTDIR="$(ARCH_DISTDIR)" \
	VERSION_NUMBER=$(GRASS_VERSION_NUMBER) VERSION_DATE=$(GRASS_VERSION_DATE) \
	$(PYTHON) ./build_class_graphical.py $(HTMLDIR)
endef

$(HTMLDIR)/topics.html: $(ALL_HTML) build_topics.py
	$(call build_topics)
	touch $@

$(HTMLDIR)/full_index.html: $(ALL_HTML) build_full_index.py build_html.py
	$(call build,full_index)
	touch $@

$(HTMLDIR)/index.html: build_index.py build_html.py
	$(call build,index)
	touch $@

$(HTMLDIR)/keywords.html: $(ALL_HTML)
	$(call build_keywords)
	touch $@


$(HTMLDIR)/graphical_index.html: $(ALL_HTML)
	$(call build_graphical_index)
	touch $@

$(HTMLDIR)/manual_gallery.html: $(ALL_HTML)
	$(call build_manual_gallery)

$(HTMLDIR)/parser_standard_options.html: $(ALL_HTML)
	$(call build_pso)
	touch $@

# TODO: this should be done in the same way as category_rule
$(HTMLDIR)/class_graphical.html: $(ALL_HTML)
	$(call build_class_graphical)
	touch $@

define category_rule
$$(HTMLDIR)/$(2).html: $$(wildcard $$(HTMLDIR)/$(1).*.html) build_class.py build_html.py
	$$(call build,class,$(1) $(2))
	touch $$@
endef

$(foreach cat,$(categories),$(eval $(call category_rule,$(firstword $(subst :, ,$(cat))),$(lastword $(subst :, ,$(cat))))))

$(HTMLDIR)/grassdocs.css: grassdocs.css
	$(INSTALL_DATA) $< $@

$(HTMLDIR)/grass_logo.png: grass_logo.png
	$(INSTALL_DATA) $< $@

$(HTMLDIR)/grass_icon.png: grass_icon.png
	$(INSTALL_DATA) $< $@

$(HTMLDIR)/jquery.fixedheadertable.min.js: jquery.fixedheadertable.min.js
	$(INSTALL_DATA) $< $@

$(HTMLDIR)/parser_standard_options.js: parser_standard_options.js
	$(INSTALL_DATA) $< $@

$(HTMLDIR)/parser_standard_options.css: parser_standard_options.css
	$(INSTALL_DATA) $< $@

=== mswindows/Makefile ===
MODULE_TOPDIR = ..

SUBDIRS = \
	osgeo4w

include $(MODULE_TOPDIR)/include/Make/Dir.make

EXTRA_CLEAN_FILES = GRASS-Packager.bat GRASS-Installer.nsi

ifneq ($(MINGW),)
default: GRASS-Packager.bat GRASS-Installer.nsi parsubdirs
else
default:
endif	

GRASS-Packager.bat: GRASS-Packager.bat.tmpl
	sed \
	-e 's#@GRASS_VERSION_MAJOR@#$(GRASS_VERSION_MAJOR)#' \
	-e 's#@GRASS_VERSION_MINOR@#$(GRASS_VERSION_MINOR)#' \
	-e 's#@GRASS_VERSION_RELEASE@#$(GRASS_VERSION_RELEASE)#' \
	$< > $@

GRASS-Installer.nsi: GRASS-Installer.nsi.tmpl
	sed \
	-e 's#@GRASS_VERSION_SVN@#$(GRASS_VERSION_SVN)#' \
	-e 's#@GRASS_VERSION_MAJOR@#$(GRASS_VERSION_MAJOR)#' \
	-e 's#@GRASS_VERSION_MINOR@#$(GRASS_VERSION_MINOR)#' \
	-e 's#@GRASS_VERSION_RELEASE@#$(GRASS_VERSION_RELEASE)#' \
	-e 's#@ARCH@#$(ARCH)#' \
	$< > $@

=== raster/Makefile ===
MODULE_TOPDIR = ..

SUBDIRS = \
	r.basins.fill \
	r.buffer \
	r.carve \
	r.category \
	r.circle \
	r.clump \
	r.coin \
	r.colors \
	r.colors.out \
	r.composite \
	r.compress \
	r.contour \
	r.cost \
	r.covar \
	r.cross \
	r.describe \
	r.distance \
	r.drain \
	r.external \
	r.external.out \
	r.fill.dir \
	r.fill.stats \
	r.flow \
	r.geomorphon \
	r.grow.distance \
	r.gwflow \
	r.his \
	r.horizon \
	r.in.ascii \
	r.in.bin \
	r.in.gdal \
	r.in.gridatb \
	r.in.lidar \
	r.in.mat \
	r.in.png \
	r.in.poly \
	r.in.xyz \
	r.info \
	r.kappa \
	r.latlong \
	r.lake \
	r.li \
	r.mapcalc \
	r.mfilter \
	r.mode \
	r.neighbors \
	r.null \
	r.out.ascii \
	r.out.bin \
	r.out.gdal \
	r.out.gridatb \
	r.out.mat \
	r.out.mpeg \
	r.out.png \
	r.out.pov \
	r.out.ppm \
	r.out.ppm3 \
	r.out.vrml \
	r.out.vtk \
	r.param.scale \
	r.patch \
	r.profile \
	r.proj \
	r.quant \
	r.quantile \
	r.random \
	r.random.cells \
	r.random.surface \
	r.reclass \
	r.recode \
	r.region \
	r.regression.line \
	r.regression.multi \
	r.report \
	r.resamp.bspline \
	r.resamp.filter \
	r.resamp.interp \
	r.resamp.rst \
	r.resamp.stats \
	r.resample \
	r.rescale \
	r.rescale.eq \
	r.ros \
	r.series \
	r.series.accumulate \
	r.series.interp \
	r.relief \
	r.sim \
	r.slope.aspect \
	r.solute.transport \
	r.spread \
	r.spreadpath \
	r.statistics \
	r.stats.zonal \
	r.stats.quantile \
	r.stats \
	r.stream.extract \
	r.sun \
	r.sunhours \
	r.sunmask \
	r.support \
	r.support.stats \
	r.surf.area \
	r.surf.contour \
	r.surf.fractal \
	r.surf.gauss \
	r.surf.idw \
	r.surf.random \
	r.terraflow \
	r.texture \
	r.thin \
	r.tile \
	r.timestamp \
	r.to.rast3 \
	r.to.rast3elev \
	r.to.vect \
	r.topidx \
	r.topmodel \
	r.transect \
	r.univar \
	r.uslek \
	r.usler \
	r.viewshed \
	r.volume \
	r.walk \
	r.water.outlet \
	r.watershed \
	r.what \
	r.what.color

PGM = rasterintro

include $(MODULE_TOPDIR)/include/Make/Dir.make

default:
	$(MAKE) -C r.mapcalc
	$(MAKE) htmldir 

htmldir: parsubdirs

$(HTMLDIR)/r.in.png:
	# no-op - override Html.make rule for .png image files

$(HTMLDIR)/r.out.png:
	# no-op - override Html.make rule for .png image files

=== scripts/Makefile ===
MODULE_TOPDIR = ..

SUBDIRS = \
	d.correlate \
	d.frame \
	d.out.file \
	d.to.rast \
	d.polar \
	d.rast.edit \
	d.rast.leg \
	d.redraw \
	d.shade \
	d.what.rast \
	d.what.vect \
	db.dropcolumn \
	db.droptable \
	db.in.ogr \
	db.out.ogr \
	db.test \
	db.univar \
	g.extension \
	g.extension.all \
	g.manual \
	g.search.modules \
	i.colors.enhance \
	i.image.mosaic \
	i.in.spotvgt \
	i.oif \
	i.pansharpen \
	i.spectral \
	i.tasscap \
	m.proj \
	r.blend \
	r.buffer.lowmem \
	r.colors.stddev \
	r.fillnulls \
	r.grow \
    r.import \
	r.in.aster \
	r.in.srtm \
	r.in.wms \
	r.mask \
	r.out.xyz \
	r.pack \
	r.plane \
	r.reclass.area \
	r.rgb \
	r.shade \
	r.tileset \
	r.unpack \
	r3.in.xyz \
	v.build.all \
	v.centroids \
	v.clip \
	v.db.addcolumn \
	v.db.addtable \
	v.db.join \
	v.db.dropcolumn \
	v.db.droprow \
	v.db.droptable \
	v.db.renamecolumn \
	v.db.reconnect.all \
	v.db.univar \
	v.db.update \
	v.dissolve \
	v.import \
	v.in.e00 \
	v.in.geonames \
	v.in.lines \
	v.in.mapgen \
	v.in.wfs \
	v.rast.stats \
	v.report \
	v.pack \
	v.to.lines \
	v.unpack \
	v.what.strds \
	v.what.vect \
	wxpyimgview

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: parsubdirs

=== vector/Makefile ===

MODULE_TOPDIR = ..

PGM = vectorintro

SUBDIRS = \
	v.buffer \
	v.build \
	v.build.polylines \
	v.category \
	v.class \
	v.clean \
	v.cluster \
	v.colors \
	v.colors.out \
	v.db.connect \
	v.db.select \
	v.decimate \
	v.delaunay \
	v.distance \
	v.drape \
	v.edit \
	v.extract \
	v.extrude \
	v.generalize \
	v.hull \
	v.info \
	v.in.ascii \
	v.in.db \
	v.in.dxf \
	v.in.pdal \
	v.in.region \
	v.kcv \
	v.kernel \
	v.label \
	v.label.sa \
	v.lidar.correction \
	v.lidar.edgedetection \
	v.lidar.growing \
	v.lrs \
	v.proj \
	v.mkgrid \
	v.neighbors \
	v.net \
	v.net.alloc \
	v.net.allpairs \
	v.net.bridge \
	v.net.centrality \
	v.net.components \
	v.net.connectivity \
	v.net.distance \
	v.net.flow \
	v.net.iso \
	v.net.path \
	v.net.salesman \
	v.net.spanningtree \
	v.net.steiner \
	v.net.timetable \
	v.net.visibility \
	v.normal \
	v.out.ascii \
	v.out.dxf \
	v.out.lidar \
	v.out.postgis \
	v.out.pov \
	v.out.svg \
	v.out.vtk \
	v.outlier \
	v.overlay \
	v.parallel \
	v.patch \
	v.perturb \
	v.split \
	v.qcount \
	v.profile \
	v.random \
	v.reclass \
	v.rectify \
	v.sample \
	v.segment \
	v.select \
	v.support \
	v.surf.bspline \
	v.surf.idw \
	v.surf.rst \
	v.transform \
	v.timestamp \
	v.to.3d \
	v.to.db \
	v.to.points \
	v.to.rast \
	v.to.rast3 \
	v.type \
	v.univar \
	v.voronoi \
	v.what \
	v.what.rast \
	v.what.rast3 \
	v.vect.stats \
	v.vol.rst \
	v.out.ogr \
	v.in.ogr \
	v.external \
	v.in.dwg \
	v.in.lidar \
	v.external.out

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: htmldir

htmldir: parsubdirs

=== db/db.copy/Makefile ===

MODULE_TOPDIR = ../..

LIBES = $(DBMILIB) $(GISLIB)
DEPENDENCIES = $(DBMIDEP) $(GISDEP)

PGM = db.copy

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== db/db.execute/Makefile ===

MODULE_TOPDIR = ../..

LIBES = $(DBMILIB) $(GISLIB)
DEPENDENCIES = $(DBMIDEP) $(GISDEP)

PGM = db.execute

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== db/db.select/Makefile ===

MODULE_TOPDIR = ../..

LIBES = $(DBMILIB) $(GISLIB)
DEPENDENCIES = $(DBMIDEP) $(GISDEP)

PGM = db.select

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== display/d.extract/Makefile ===
MODULE_TOPDIR = ../..

PGM = d.extract

LIBES     = $(DISPLAYLIB) $(VECTORLIB) $(GISLIB) $(DATETIMELIB)
DEPENDENCIES= $(VECTORDEP) $(GISDEP) $(DISPLAYDEP) $(DATETIMEDEP)
EXTRA_INC = $(VECT_INC)
EXTRA_CFLAGS = $(VECT_CFLAGS)

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== debian/changelog ===
grass (7.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Don't install AppStream metadata in legacy location.
  * Update copyright-format URL to use HTTPS.
  * Drop spelling-errors.patch, applied upstream.
  * Add patch to fix spelling errors.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Jan 2018 11:31:40 +0100

grass (7.4.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add overrides for dependency-on-python-version-marked-for-end-of-life.
  * Bump Standards-Version to 4.1.3, no changes.
  * Update copyright years for copyright holders.
  * Drop patches applied upstream.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 09 Jan 2018 08:41:24 +0100

grass (7.4.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update spelling-errors.patch to fix additional typos.
  * Add lintian override for package-installs-java-bytecode false positive.
  * Bump Standards-Version to 4.1.2, no changes.
  * Override dh_gencontrol to set GRASS ABI dependency with substvars.
  * Update watch file for GRASS 7.4 releases.
  * Strip trailing whitespace from changelog.
  * Update copyright years for copyright holders.
  * Drop explicit use of autotools_dev dh helper.
  * Update watch file to use HTTPS.
  * Strip trailing whitespace from rules file.
  * Add lintian override for hardening-no-fortify-functions.
  * Drop unused lintian override for package-installs-java-bytecode.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 17 Nov 2017 10:45:33 +0100

grass (7.2.2-2) unstable; urgency=medium

  * Add patch to only link to GEOS C library.
  * Update spelling-errors.patch to fix additional typo.
  * Add lintian override for package-installs-java-bytecode false positive.
  * Bump Standards-Version to 4.1.2, no changes.
  * Override dh_gencontrol to set GRASS ABI dependency with substvars.
  * Strip trailing whitespace from changelog.
  * Drop explicit use of autotools_dev dh helper.
  * Update watch file to use HTTPS.
  * Strip trailing whitespace from rules file.
  * Drop unused lintian override for package-installs-java-bytecode.
  * Add overrides for dependency-on-python-version-marked-for-end-of-life.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 27 Dec 2017 23:13:43 +0100

grass (7.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Sep 2017 16:38:01 +0200

grass (7.2.2~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 Aug 2017 11:04:01 +0200

grass (7.2.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Don't explicitly build with GCC 6, FTBFS with GCC 7 fixed upstream.
    (closes: #853433)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Aug 2017 10:29:18 +0200

=== debian/control ===
Source: grass
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: autoconf2.13,
               autotools-dev,
               bison,
               debhelper (>= 9),
               dh-python,
               doxygen,
               fakeroot,
               flex,
               graphviz,
               libblas-dev,
               libbz2-dev,
               libcairo2-dev,
               libfftw3-dev,
               libfreetype6-dev,
               libgdal-dev (>= 2.0),
               libgeos-dev,
               libglu1-mesa-dev,
               libjpeg-dev,
               liblapack-dev,
               liblas-c-dev (>= 1.8.0-8~),
               libmotif-dev | lesstif2-dev,
       default-libmysqlclient-dev,
               libncurses5-dev,
               libnetcdf-dev,
               libpng-dev,
               libpq-dev,
               libproj-dev,
               libreadline-dev,
               libsqlite3-dev,
               libtiff-dev,
               libwxgtk3.0-dev,
               libxmu-dev,
               netcdf-bin,
# install optipng if compressing the PNG images in the programmers' manual
#              optipng,
# proj-bin needed for nad2bin during config
               proj-bin,
               python,
               python-dev,
               python-numpy,
               python-pil,
               python-ply,
               python-wxgtk3.0,
               unixodbc-dev,
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/grass.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/grass.git
Homepage: http://grass.osgeo.org/

Package: grass
Architecture: all
Section: metapackages
Depends: grass-core,
         grass-gui,
         ${misc:Depends}
Recommends: grass-doc
Suggests: grass-dev
Description: Geographic Resources Analysis Support System (GRASS GIS)
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 Install this virtual package to get a full GRASS system.

Package: grass-core
Architecture: any
Depends: grass-doc,
         ${shlibs:Depends},
         ${python:Depends},
         ${misc:Depends}
Recommends: gdal-bin,
# cs2cs used by m.proj, gdalinfo+gdal_translate used by a number of scripts
            proj-bin
Suggests: grass-dev,
          grass-gui,
# used by v.in.e00
          e00compr,
          avce00,
# used by i.spectral
          gnuplot,
# used by v.in.gpsbabel
          gpsbabel,
# used by v.in.garmin
          gpstrans,
# used by NVIZ, d.out.gpsdrive, r.out.mpeg
          netpbm,
# used by v.kridge
          python-rpy2,
          python-termcolor
Breaks: grass (<< 6.4.2-1~)
Provides: ${grass:Provides}
Replaces: grass (<< 6.4.2-1~)
Description: GRASS GIS core components
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the core processing components, but not the GUI.

Package: grass-gui
Architecture: any
Depends: grass-core,
# pyGL needed for wxNviz
         python-opengl,
         python-wxgtk3.0,
         xterm | x-terminal-emulator,
         ${python:Depends},
         ${misc:Depends}
Recommends:
# gs needed for wxPsmap PDF export
            ghostscript,
# PIL needed for wxPsmap preview
            python-matplotlib,
            python-pil
Breaks: grass (<< 6.4.2-1~)
Replaces: grass (<< 6.4.2-1~)
Description: GRASS GIS graphical user interfaces
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the GRASS GUIs.

Package: grass-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: grass,
          grass-dev-doc
Description: GRASS GIS user documentation
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains HTML documentation for the GRASS system.

Package: grass-dev-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         ${misc:Depends}
Suggests: grass
Description: GRASS GIS Programmers' Manual
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the HTML version of the GRASS Programmers' Manual.

Package: grass-dev
Section: devel
Architecture: any
Depends: grass-core (= ${binary:Version}),
# fakeroot used by patches/htmlgen-fakeroot; see changelog entry for 5.7.0+6.0.0beta2-2
         fakeroot,
         libfreetype6-dev,
         libgdal-dev,
         libpq-dev,
         libproj-dev,
         python,
         ${shlibs:Depends},
         ${misc:Depends}
# Subversion is needed by g.extension, a primary motivator for installing the grass-dev pkg
Recommends: subversion
Suggests: grass-dev-doc,
          pkg-config
Description: GRASS GIS development files
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the header files for developing with GRASS.
 Install this package if you wish to develop software that manipulates
 GRASS data sets or install addons using the g.extension module.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Disable PIE on Ubuntu where it's still problematic
VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)

ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
	export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
endif

VERSION=$(shell echo `head -2 $(CURDIR)/include/VERSION` | sed -e 's/ //')
ABI=$(shell echo `head -3 $(CURDIR)/include/VERSION` | sed -e 's/ //g' -e 's/RC/-/')
GRASS_ABI=grass$(ABI)
BASE_NAME=grass$(VERSION)
PKG_NAME=grass

# TODO: fix these
CFLAGS+=-Wno-error=format-security

CFLAGS+=-Wall

TEMPLATES=$(wildcard debian/*.in)

# Use SOURCE_DATE_EPOCH as random seed for reproducible builds
ifdef SOURCE_DATE_EPOCH
	export GRASS_RANDOM_SEED=$(SOURCE_DATE_EPOCH)
endif

versions:
	@echo "Version: $(VERSION)"
	@echo "ABI: $(ABI)"

templates:
	for TEMPLATE in $(TEMPLATES) ; do \
	    sed -e 's/@VERSION@/$(VERSION)/g' -e 's/@ABI@/$(ABI)/g' $$TEMPLATE > `echo $$TEMPLATE | sed 's/.in$$//'` ; \
	done

%:
	dh $@ --with python2 --parallel

override_dh_clean:
	dh_clean build-arch-stamp install-arch-stamp debian/grass-gui.image-file-in-usr-lib.list

	$(RM) lib/proj/nad2bin
	$(RM) tools/timer/main.o
	$(RM) raster/r.terraflow/IOStream/lib/src/libiostream.a
	$(RM) debian/$(BASE_NAME).1
	$(RM) error.log

	# clean doxygen documentation (programming man)
	$(RM) doxygen_sqlite3.db lib/doxygen_sqlite3.db
	$(RM) -r \
		doxygenhtml \
		html latex \
		rfc/html rfc/latex \
		lib/html lib/latex \
		gui/wxpython/html gui/wxpython/latex
	for LIBRARY in \
		db \
		g3d \
		gis \
		gmath \
		gpde \
		ogsf \
		proj \
		python \
		segment \
		vector \
		vector/dglib ; \
	do \
		$(RM) -r lib/$$LIBRARY/html lib/$$LIBRARY/latex ; \
	done

override_dh_auto_clean:
	[ ! -f $(CURDIR)/include/Make/Platform.make ] || $(MAKE) distclean

override_dh_auto_configure: templates
	dh_auto_configure -- \
                    --prefix=/usr/lib \
                    --enable-largefile \
                    --enable-socket \
                    --enable-shared \
                    --with-blas \
                    --with-bzlib \
                    --with-cairo \
                    --with-cxx \
                    --with-freetype \
                    --with-freetype-includes=/usr/include/freetype2 \
                    --with-gdal \
                    --with-geos \
                    --with-lapack \
                    --with-liblas=/usr/bin/liblas-config \
                    --with-motif \
                    --with-mysql \
                    --with-mysql-includes=$(shell mysql_config --include | sed -e 's/-I//') \
                    --with-netcdf \
                    --with-nls \
                    --with-odbc \
                    --with-postgres \
                    --with-postgres-includes=$(shell pg_config --includedir) \
                    --with-proj-share=/usr/share/proj \
                    --with-python \
                    --with-readline \
                    --with-sqlite \
                    --with-wxwidgets=/usr/bin/wx-config \
                    --with-x

# This target generates arch-dep stuff, unfortunately most doc requires working bins to
# be properly generated...
override_dh_auto_build-arch: build-arch-stamp
build-arch-stamp:
	dh_auto_build
	chmod 755 debian/fixpaths.sh
	touch $@

override_dh_auto_build-indep: build-arch-stamp
	# generate the Programmers' manual (in HTML)
	$(MAKE) htmldocs-single

	# save ~7mb of disk space by compressing PNG images (but takes a long time)
	##for file in `find debian/tmp/programming-manual/ -iname \*.png` ; do \
	##	optipng -o5 $$file ; \
	##done

override_dh_auto_install-arch: install-arch-stamp
install-arch-stamp:
	# install grass core into debian/tmp
	dh_auto_install -- \
		INST_DIR=$(CURDIR)/debian/tmp/usr/lib/$(BASE_NAME) \
		UNIX_BIN=$(CURDIR)/debian/tmp/usr/bin

	# fix links
	debian/fixpaths.sh $(CURDIR)/debian/tmp debian/tmp

	# delete python compiled bytecode files (maybe dh_python2 takes care of this for us?)
	find debian/tmp/ -type f -name "*.pyc" -delete

	# change section from 1 to .1grass
	mv debian/tmp/usr/lib/$(BASE_NAME)/docs/man/man1/grass7.1 debian/$(BASE_NAME).1
	for m in debian/tmp/usr/lib/$(BASE_NAME)/docs/man/man1/*.1; do \
		n=`basename $$m .1`; mv $$m debian/tmp/usr/lib/$(BASE_NAME)/docs/man/man1/$$n.1grass; done
	for m in debian/tmp/usr/lib/$(BASE_NAME)/docs/man/man1/*.1grass; do \
		sed -i -e 's/^.TH \(.*\) 1/.TH \1 1grass/' "$$m"; done

	# escape minus signs which are command line options not hyphens
	for m in debian/tmp/usr/lib/$(BASE_NAME)/docs/man/man1/*.1grass; do \
		sed -i -e 's/\([ ([]\)-\([a-z]\)/\1\\-\2/g' \
			-e 's/\([ []\)--\([a-z]\)/\1\\-\\-\2/g' \
			-e 's/\[-\\fB/[\\-\\fB/' \
			-e 's/\[--\\fB/[\\-\\-\\fB/g' \
			-e 's/"\\fB-\([a-zA-Z0-9]\)/"\\fB\\-\1/' \
			-e 's/"\\fB--\([a-zA-Z0-9]\)/"\\fB\\-\\-\1/' \
			-e 's/\\fI-\([a-zA-Z0-9]\)/\\fI\-\1/g' \
			"$$m"; done

	# adjust from build-server build dir to end-user's install dir
	sed -i -e "s+^\(GRASS_HOME[ ]*=\) .*+\1 /usr/lib/$(BASE_NAME)+" \
		-e "s+^\(RUN_GISBASE[ ]*=\) .*+\1 /usr/lib/$(BASE_NAME)+" \
		debian/tmp/usr/lib/$(BASE_NAME)/include/Make/Platform.make

	# install pkg-config file
	mkdir -p debian/$(PKG_NAME)-dev/usr/share/pkgconfig
	install -m 644 grass.pc debian/$(PKG_NAME)-dev/usr/share/pkgconfig/$(BASE_NAME).pc

	# install icons and desktop file
	mkdir -p debian/tmp/usr/share/icons
	mv debian/tmp/usr/lib/$(BASE_NAME)/share/icons/hicolor debian/tmp/usr/share/icons

	mkdir -p debian/tmp/usr/share/applications
	mv debian/tmp/usr/lib/$(BASE_NAME)/share/applications/grass.desktop debian/tmp/usr/share/applications/$(BASE_NAME).desktop

	# install AppStream metadata
	mkdir -p debian/tmp/usr/share/metainfo
	mv debian/tmp/usr/lib/$(BASE_NAME)/share/appdata/grass.appdata.xml debian/tmp/usr/share/metainfo/org.osgeo.grass.appdata.xml

	# install grass wrapper scripts
	install -m 755 debian/x-grass7 debian/tmp/usr/bin/x-$(BASE_NAME)

	ln -fs /usr/lib/$(shell objdump -p /usr/lib/`gdal-config --libs | cut -d' ' -f2 | sed -e 's/-l/lib/'`.so | grep SONAME | cut -d' ' -f18) \
		debian/tmp/usr/lib/$(BASE_NAME)/lib/libgdal.so

	# Remove empty directory
	rmdir debian/tmp/usr/lib/$(BASE_NAME)/gui/wxpython/scripts/

	# Remove files not installed or installed by debhelper
	$(RM) -r debian/tmp/usr/lib/$(BASE_NAME)/AUTHORS \
	         debian/tmp/usr/lib/$(BASE_NAME)/CHANGES \
	         debian/tmp/usr/lib/$(BASE_NAME)/CITING \
	         debian/tmp/usr/lib/$(BASE_NAME)/COPYING \
	         debian/tmp/usr/lib/$(BASE_NAME)/GPL.TXT \
	         debian/tmp/usr/lib/$(BASE_NAME)/INSTALL \
	         debian/tmp/usr/lib/$(BASE_NAME)/REQUIREMENTS.html \
	         debian/tmp/usr/lib/$(BASE_NAME)/config.status \
	         debian/tmp/usr/lib/$(BASE_NAME)/contributors.csv \
	         debian/tmp/usr/lib/$(BASE_NAME)/contributors_extra.csv \
	         debian/tmp/usr/lib/$(BASE_NAME)/translation_status.json \
	         debian/tmp/usr/lib/$(BASE_NAME)/translators.csv \
	         debian/tmp/usr/lib/$(BASE_NAME)/demolocation/

	# Move image files from /usr/lib/$(BASE_NAME) to /usr/share/$(BASE_NAME)
	mkdir -p debian/tmp/usr/share/$(BASE_NAME)/gui
	mv debian/tmp/usr/lib/$(BASE_NAME)/gui/icons/  debian/tmp/usr/share/$(BASE_NAME)/gui/
	mv debian/tmp/usr/lib/$(BASE_NAME)/gui/images/ debian/tmp/usr/share/$(BASE_NAME)/gui/

	find debian/tmp/usr/lib/$(BASE_NAME)/gui/wxpython/ -type f \( -name "*.jpg" -or -name "*.png" \) -print | sort > debian/grass-gui.image-file-in-usr-lib.list

	while read file; do \
		dir=`dirname "$$file" | sed 's/usr\/lib\//usr\/share\//'` ; \
		if [ ! -e "$$dir" ]; then \
			mkdir -p "$$dir" ; \
		fi ; \
		mv "$$file" "$$dir" ; \
	done < debian/grass-gui.image-file-in-usr-lib.list

	# Remove empty files
	find debian/tmp/ -type f -empty -name "class_graphical*" -print -delete

	touch $@

override_dh_auto_install-indep: install-arch-stamp
	install -m 644 -d debian/tmp

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://grass.osgeo.org/grass74/source/ \
grass-([\d\.]*(?:(?:RC|rc|pre|dev|beta|alpha)?\d*))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## grass 7.4.1

=== debian/changelog ===
grass (7.4.1-3) unstable; urgency=medium

  * Disable PIE only on older Ubuntu releases.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add overrides for package-contains-documentation-outside-usr-share-doc.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 18:29:08 +0200

grass (7.4.1-2) unstable; urgency=medium

  * Actually move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Jun 2018 01:50:48 +0200

grass (7.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Move from experimenta to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Jun 2018 23:00:18 +0200

grass (7.4.1~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Jun 2018 18:54:10 +0200

grass (7.4.1~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Strip trailing whitespace from control file.
  * Drop spelling-errors2.patch, applied upstream.
  * Change grass-dev dependency on python to ${python:Depends}.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 May 2018 08:16:39 +0200

grass (7.4.1~rc1-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * New upstream release candidate.
  * Don't use libjs-jquery for Doxygen docs.
  * Add patch to fix spelling errors.
  * Fix deprecated source override location.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.4, no changes.
  * Update copyright years for Tereza Fiedlerova.
  * Refresh patches.
  * Fix AppStream metadata installation.

  [ Francesco Paolo Lovergine ]
  * Fixating wrong permissions (-x) for r.*.png modules.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 May 2018 10:05:39 +0200

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
                libtiff-dev,
                libwxgtk3.0-dev,
                libxmu-dev,
+               lsb-release,
                netcdf-bin,
 # install optipng if compressing the PNG images in the programmers' manual
 #              optipng,
@@ -49,9 +50,9 @@
                python-wxgtk3.0,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/grass.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/grass.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/grass
+Vcs-Git: https://salsa.debian.org/debian-gis-team/grass.git
 Homepage: http://grass.osgeo.org/
 
 Package: grass
@@ -156,8 +157,7 @@
 Package: grass-dev-doc
 Section: doc
 Architecture: all
-Depends: libjs-jquery,
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: grass
 Description: GRASS GIS Programmers' Manual
  Commonly referred to as GRASS, this is a Geographic Information
@@ -179,7 +179,7 @@
          libgdal-dev,
          libpq-dev,
          libproj-dev,
-         python,
+         ${python:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 # Subversion is needed by g.extension, a primary motivator for installing the grass-dev pkg
@@ -197,4 +197,3 @@
  This package contains the header files for developing with GRASS.
  Install this package if you wish to develop software that manipulates
  GRASS data sets or install addons using the g.extension module.
-

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,12 @@
 
 # Disable PIE on Ubuntu where it's still problematic
 VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
+DISTRIBUTION_RELEASE       := $(shell lsb_release -cs)
 
 ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
-	export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+  ifneq (,$(filter $(DISTRIBUTION_RELEASE),trusty xenial bionic))
+    export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+  endif
 endif
 
 VERSION=$(shell echo `head -2 $(CURDIR)/include/VERSION` | sed -e 's/ //')
@@ -176,7 +179,7 @@
 
 	# install AppStream metadata
 	mkdir -p debian/tmp/usr/share/metainfo
-	mv debian/tmp/usr/lib/$(BASE_NAME)/share/appdata/grass.appdata.xml debian/tmp/usr/share/metainfo/org.osgeo.grass.appdata.xml
+	mv debian/tmp/usr/lib/$(BASE_NAME)/share/metainfo/org.osgeo.grass.appdata.xml debian/tmp/usr/share/metainfo/org.osgeo.grass.appdata.xml
 
 	# install grass wrapper scripts
 	install -m 755 debian/x-grass7 debian/tmp/usr/bin/x-$(BASE_NAME)
@@ -218,9 +221,3 @@
 	done < debian/grass-gui.image-file-in-usr-lib.list
 
 	# Remove empty files
-	find debian/tmp/ -type f -empty -name "class_graphical*" -print -delete
-
-	touch $@
-
-override_dh_auto_install-indep: install-arch-stamp
-	install -m 644 -d debian/tmp
